var CalendarMixin = {
    props: {
        value: [String, Number, Array, Date],
        disabledDate: Function,
        vertical: {
            type: Boolean,
            "default": true
        },
        showLastMonth: {
            type: Boolean,
            "default": false
        },
        showNextMonth: {
            type: Boolean,
            "default": false
        },
        workDate: {
            type: Array,
            "default": function _default() {
                return [];
            }
        },
        infoDate: {
            type: Array,
            "default": function _default() {
                return [];
            }
        },
        touchable: {
            type: Boolean,
            "default": true
        },
        mouseable: {
            type: Boolean,
            "default": true
        }
    }
};

export default CalendarMixin;