"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
var CalendarMixin = {
    props: {
        value: [String, Number, Array, Date],
        disabledDate: Function,
        vertical: {
            type: Boolean,
            "default": true
        },
        showLastMonth: {
            type: Boolean,
            "default": false
        },
        showNextMonth: {
            type: Boolean,
            "default": false
        },
        workDate: {
            type: Array,
            "default": function _default() {
                return [];
            }
        },
        infoDate: {
            type: Array,
            "default": function _default() {
                return [];
            }
        },
        touchable: {
            type: Boolean,
            "default": true
        },
        mouseable: {
            type: Boolean,
            "default": true
        }
    }
};

exports["default"] = CalendarMixin;
module.exports = exports.default;